
/**
 * Driver to run several sorting algorithms on several random data
 * (e.g., 10K-150K integers) and record their running times. 
 * The results can be used to plot and compare.
 *
 * @author Your name here
 * @version The date here
 */
public class SortingComparisons
{
    public static void main(){
    long NANOSECONDS_PER_SECOND = 1_000_000_000;   // A billionth of a second (10^9), _ is ignored by Java but helps humans to read the numer
        Integer[] dataorig = Sorting.generateRandomArray(10000);

        Integer[] data = Sorting.copyArray(dataorig);
        long start = System.nanoTime();
        //add your code here
        long end = System.nanoTime();
        long durationInNanoseconds = end - start;
        System.out.println("Sorting took " + durationInNanoseconds/Math.pow(10,9)+ " seconds.");
    }
}
